Get Field Configuration Item
curl --request GET \
--url https://api.attention.tech/v2/field-configurations/{id}/items/{itemId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/field-configurations/{id}/items/{itemId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/field-configurations/{id}/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11__item-01",
"fieldConfigurationUUID": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11",
"title": "Budget Range",
"category": "CRM",
"contents": "What is the customer's stated budget range?",
"promptType": "freeform",
"contentType": "text"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Field Configuration
Get Field Configuration Item
Returns a single field-configuration item by UUID. Items belonging to a field configuration in another organization return 404.
GET
/
field-configurations
/
{id}
/
items
/
{itemId}
Get Field Configuration Item
Authorizations
Path Parameters
UUID of the field configuration.
UUID of the field-configuration item.
Response
Item successfully retrieved.
Envelope containing a single field-configuration item.
A single field within a Field Configuration (internally IntelligenceItem). Items describe a prompt that Attention evaluates against a conversation and produces a value for. A field-configuration item is cloned as one IntelligenceItemAssignment per team the parent configuration is assigned to - see IntelligenceItemAssignment.
Show child attributes
Show child attributes
Example:
{
"uuid": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11__item-01",
"fieldConfigurationUUID": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11",
"title": "Budget Range",
"category": "CRM",
"contents": "What is the customer's stated budget range?",
"promptType": "freeform",
"contentType": "text",
"analysisLevel": "conversation",
"createdAt": "2026-03-01T12:00:00Z",
"lastModifiedAt": "2026-03-02T08:30:00Z"
}
Was this page helpful?
⌘I